
Redmine - Defect #14071

HTML links weird when using special characters

2013-05-16 09:52 - André Bachmann

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 2.3.1

Description

I observed a problem with HTML links in the Ticket description input field (this applies also to wiki pages, of course). My text was this:

"69,95

€":http://www.reichelt.de/?ACTION=3;ARTICLE=87308;GROUPID=771;PROVID=2;&utm_source=Preisvergleich&utm_medium=CP

C&utm_campaign=Preisvergleich_geizhals.at-de&psuma=geizhals.at-de&   

Now look what Redmine does to it: 69,95 €%

As you can see, it shows an additional % symbol (which clearly doesn't exist) and it changes the last ampersand (&) to x%x in the

URL.

I'm not sure, but this may be related to #10413.

My Redmine infos:

bash-4.1# RAILS_ENV=production rake about

About your application's environment

Ruby version              1.9.3 (x86_64-linux)

RubyGems version          1.8.24

Rack version              1.4

Rails version             3.2.13

Active Record version     3.2.13

Action Pack version       3.2.13

Active Resource version   3.2.13

Action Mailer version     3.2.13

Active Support version    3.2.13

Middleware                Rack::Cache, ActionDispatch::Static, Rack::Lock,

#<ActiveSupport::Cache::Strategy::LocalCache::Middleware:0x000000032869e8>, Rack::Runtime, Rack::MethodOverride,

ActionDispatch::RequestId, Rails::Rack::Logger, ActionDispatch::ShowExceptions, ActionDispatch::DebugExceptions,

ActionDispatch::RemoteIp, ActionDispatch::Callbacks, ActiveRecord::ConnectionAdapters::ConnectionManagement,

ActiveRecord::QueryCache, ActionDispatch::Cookies, ActionDispatch::Session::CookieStore, ActionDispatch::Flash,

ActionDispatch::ParamsParser, ActionDispatch::Head, Rack::ConditionalGet, Rack::ETag, ActionDispatch::BestStandardsSupport,

OpenIdAuthentication

Application root          /opt/redmine-2.3.1-0/apps/redmine/htdocs

Environment               production

Database adapter          mysql2

Database schema version   20130217094251

Related issues:

Related to Redmine - Defect #10413: Creating wiki pages with special characte... Closed

History

#1 - 2013-05-16 10:16 - Etienne Massip

That's because of the trailing URL query parameter separator '&'. You can remove it safely from the URL if it's not followed by anything:

69,95 €

#2 - 2013-05-16 10:28 - Toshi MARUYAMA

- Category set to Text formatting
http://www.reichelt.de/?ACTION=3;ARTICLE=87308;GROUPID=771;PROVID=2;&utm_source=Preisvergleich&utm_medium=CPC&utm_campaign=Preisvergleich_geizhals.at-de&psuma=geizhals.at-dex%x
https://www.redmine.org/issues/10413
#3 - 2018-09-15 03:47 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix
